## org.red5.server.service
Class WarDeployer

    java.lang.Object
      org.red5.server.service.WarDeployer

    public final class WarDeployer

extends Object

This service provides the means to auto-deploy a war.

Author:
  Paul Gregoire (mondain@gmail.com)

Nested Class Summary
`protected class` `WarDeployer.DirectoryFilter` Filters directory content

Constructor Summary
`WarDeployer()`

Method Summary
`int` `getCheckInterval()`
`String` `getDeploymentDirectory()`
`LoaderMBean` `getLoader()` Returns the LoaderMBean.
`ISchedulingService` `getScheduler()`
`void` `init()`
`void` `setCheckInterval(int checkInterval)`
`void` `setDeploymentDirectory(String deploymentDirectory)`
`void` `setScheduler(ISchedulingService scheduler)`
`void` `shutdown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WarDeployer

    public WarDeployer()

Method Detail

### setCheckInterval

    public void setCheckInterval(int checkInterval)

### getCheckInterval

    public int getCheckInterval()

### getScheduler

    public ISchedulingService getScheduler()

### setScheduler

    public void setScheduler(ISchedulingService scheduler)

### getDeploymentDirectory

    public String getDeploymentDirectory()

### setDeploymentDirectory

    public void setDeploymentDirectory(String deploymentDirectory)

### init

    public void init()

### shutdown

    public void shutdown()

### getLoader

    public LoaderMBean getLoader()

  Returns the LoaderMBean.

  Returns:
    LoadeerMBean

Copyright © 2006-2010 The Red5 Project